Bug 1015755 - current version is 0.4.0
current version is 0.4.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libbluray (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
RejectedFreezeException
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 03:08 EDT by Simon Lewis
Modified: 2013-11-23 22:25 EST (History)
6 users (show)

See Also:
Fixed In Version: libbluray-0.4.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:38:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2013-10-05 03:08:19 EDT
See http://www.videolan.org/developers/libbluray.html
Comment 1 Xavier Bachelot 2013-10-15 18:18:02 EDT
libbluray 0.4.0 is already in rawhide. It can't be updated in the earlier fedora releases, as it would break the ABI and this is not allowed.
Sorry...
Comment 2 Julian Sikorski 2013-10-16 13:06:19 EDT
Does this mean we will have to wait almost a year to get the latest functionality? This is hardly acceptable. Would it be possible to organise a rebuild of dependent packages instead? It can't be too many.
Comment 3 Julian Sikorski 2013-10-16 13:10:18 EDT
$ repoquery --whatrequires --source `repoquery --provides libbluray` | sed 's/-[^-]*-[^-]*\.[^.]*\.[^.]*$//' | sort | uniq
gvfs
libbluray
mplayer
mpv
vlc
xbmc
xine-lib

This gives 6 packages to rebuild. Does not look too bad.
Comment 4 Xavier Bachelot 2013-10-16 17:18:23 EDT
I'm sorry to have missed the F20 freeze deadline, this is really unfortunate and can only be blamed on me, but I'm reluctant to break the stable ABI rule.
Anyway, I think the only package that could cause a real issue is gvfs, as it's the only one in Fedora, the others being in RPM Fusion (or soon to be, as xine-lib is moving back there too). I'll try to contact gvfs maintainer, and if he agrees with doing a rebuild, I'll coordinate that together with the move of xine-lib back to RPM Fusion.
Comment 5 Xavier Bachelot 2013-10-28 10:52:02 EDT
Now that xine-lib is out of the way, I'm adding this bug to the BetaFreezeException tracker bug. The only other package in Fedora needing libbluray is gvfs and the maintainer (added to CC:) agreed to do a rebuild if the libbluray update is accepted. I've verified gvfs only needs a rebuild and no code change will be involved.
Comment 6 Xavier Bachelot 2013-10-28 11:36:21 EDT
About backward compatibility of the proposed update, see http://upstream-tracker.org/versions/libbluray.html
Comment 7 Mike Ruckman 2013-10-28 13:26:45 EDT
Discussed in 2013-10-28 Blocker Review meeting [1]. Voted an RejectedFreezeException. New features are not enough justification for pulling fixes past beta freeze. A fix can be applied after the Beta freeze period ends (currently scheduled [2] to be 2013-11-05).

[1] http://meetbot.fedoraproject.org/meetbot/meetbot/fedora-blocker-review/2013-10-28/
[2] http://fedoraproject.org/wiki/Releases/20/Schedule
Comment 8 Fedora Update System 2013-11-06 09:46:41 EST
libbluray-0.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-1.fc19
Comment 9 Fedora Update System 2013-11-06 09:46:52 EST
libbluray-0.4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-1.fc20
Comment 10 Fedora Update System 2013-11-06 09:47:04 EST
libbluray-0.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-1.fc18
Comment 11 Fedora Update System 2013-11-06 13:24:42 EST
Package libbluray-0.4.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libbluray-0.4.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20780/libbluray-0.4.0-1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-23 14:38:17 EST
libbluray-0.4.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-23 14:42:26 EST
libbluray-0.4.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-23 22:25:54 EST
libbluray-0.4.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.